[Unit]
Description=AutoSSH service for "{{ item.id }}" to tunnel port "{{ item.local_port }}" to "{{ item.dest_port }}" on "{{ item.server }}"".
Wants=network-online.target
After=network-online.target

[Service]
ExecStart={{ autossh_path }} -M 0 -N -q -o ServerAliveInterval=60 -o ServerAliveCountMax=3 \
-L {{ [ item.bind_address | default(autossh_default_bind_address), item.local_port, item.dest_server | default(autossh_default_dest_server), item.dest_port ] | select | join(':') }} \
-i {{ item.identity_file | default(autossh_default_identity_file) }} \
{{ item.user | default(autossh_username) }}@{{ item.server }} -p {{ item.port | default(22) }}
User={{ autossh_username }}
Restart=always
RestartSec=5

[Install]
WantedBy=multi-user.target
